#!/usr/bin/python
# coding: UTF-8
# Rec10 TS Recording Tools
# Copyright (C) 2009 Yukikaze
import os
import sys
import time

import chdb
import epgdb

update = chdb.update()
print "番組表更新処理"
print update
if len(update) > 0:
    print "番組表を更新"
    print update
    pid = os.fork()
    if pid > 0:#親プロセスの場合
        ""
    else:#子プロセスの場合　アップデートを行って終了
        for bctype in update:
            time.sleep(1)
            print bctype
            epgdb.updatebc(bctype)
        sys.exit(0)